zone_wall = nil;

function add_fibrillation_effector_door_light(obj, delay)
	---[[
	local duration = 2.20

	eff= CreateAnimationEffector()
	eff:AttachTo(obj)
	eff:SetMode(_ANIM_LOOP)

    local dopacity = -0.55

	eff:SetKey(_TRACK_O, 0.0 + delay, 1.0 + dopacity)
	eff:SetKey(_TRACK_O, duration *1.0/4.0 + delay, 0.95 + dopacity)
	eff:SetKey(_TRACK_O, duration *2.0/4.0 + delay, 1.0 + dopacity)
	eff:SetKey(_TRACK_O, duration *3.0/4.0 + delay, 0.89 + dopacity)
	eff:SetKey(_TRACK_O, duration *4.0/4.0 + delay, 1.0 + dopacity)
	eff:Play()
	---]]
end

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/14_Workshop_Street_Main.lua', 'quest')

	RegisterQuestObjects('area_Workshop_Inside')

    LinkScene('area_Theatre_Fountain', 'CursorDoorDown', 'data/Scenes/13_Theatre_Fountain_Main.lua', false)

	play_field:GetObject('area_water'):SetMaxOpacity(0.001)
    zone_wall = CreateZoomZone('area_Zoom_Stena',
                               'CloseZoneWall',
                               'Zoom_stena', true,
							   'area_water', true)

    local on_water_click = function()
		ShowMonolog('14_Water', 'C_14_WATER')
		game_state.ignore_on_highlight['area_Zoom_Stena'] = true
		game_state.ignore_on_highlight['area_water'] = true
    end
    local on_load_when_water_clicked = function()
		game_state.ignore_on_highlight['area_Zoom_Stena'] = true
		game_state.ignore_on_highlight['area_water'] = true
    end
    RegisterActiveObject('area_water', on_water_click, on_load_when_water_clicked, true, 'CursorGlass')

    play_field:GetObject('Door_Opened'):SetOpacity(0.)
    play_field:GetObject('Light_Opened'):SetOpacity(0.)
    play_field:GetObject('Light_from_the_Door'):SetOpacity(0.)
	add_fibrillation_effector_door_light(play_field:GetObject('Light_Closed'), 0)
    local on_door_click = function()
		UnregisterActiveObject('area_Workshop_Inside')
        game_state.locked_objects['area_Workshop_Inside'] = false
        LinkScene('area_Workshop_Inside', 'CursorDoorLeftUp', 'data/Scenes/15_Theatre_Workshop_Inside_Main.lua', false)
		play_field:GetObject('Light_Closed'):DestroyChildren()
		play_field:GetObject('Light_Closed'):ChangeOpacity(1., 0., 0.3)
        play_field:GetObject('Door_Opened'):ChangeOpacity(0., 1., 0.3)
        --play_field:GetObject('Light_Opened'):ChangeOpacity(0., 1., 0.3)
		add_fibrillation_effector_door_light(play_field:GetObject('Light_Opened'), 0.4)
		add_fibrillation_effector_door_light(play_field:GetObject('Light_from_the_Door'), 0.4)
		PlaySound("BarnDoorOpen");
    end
    local on_load_when_door_clicked = function()
		UnregisterActiveObject('area_Workshop_Inside')
        LinkScene('area_Workshop_Inside', 'CursorDoorLeftUp', 'data/Scenes/15_Theatre_Workshop_Inside_Main.lua', false)
		play_field:GetObject('Light_Closed'):SetVisible(false)
        play_field:GetObject('Door_Opened'):SetOpacity(1.)
        play_field:GetObject('Light_Opened'):SetOpacity(1.)
		add_fibrillation_effector_door_light(play_field:GetObject('Light_Opened'), 0)
		add_fibrillation_effector_door_light(play_field:GetObject('Light_from_the_Door'), 0.0)
    end
    RegisterActiveObject('area_Workshop_Inside', on_door_click, on_load_when_door_clicked)

	if HasGameState('ToolFound', '15_ladder') then
		play_field:GetObject('Light_from_the_Door'):SetVisible(false)
		game_state.ignore_on_highlight['area_Workshop_Inside'] = true
	end

	RegisterMonologObject('area_grape', 'C_14_GRAPE', true)

	local roof_anim = play_field:GetObject('kamni'):GetAnimation()
	roof_anim:SetMode(HGEANIM_NOLOOP)
	roof_anim:Stop()
	local on_roof_click = function()
		roof_anim:Play();
		PlaySound("TileRolling");
		game_state.ignore_on_highlight['kamni'] = true
	end
	local on_load_when_roof_clicked = function()
		roof_anim:SetFrame(roof_anim:GetFrames() - 1);
		game_state.ignore_on_highlight['kamni'] = true
	end
	RegisterActiveObject('kamni', on_roof_click, on_load_when_roof_clicked--[[, multi_use, cursor_name]])

	local sea = BuildSeaCompilation();
	sea:AttachTo(play_field:GetObject('Zoom_stena'));
	sea:SetZ(1);
	sea:SetXY(0, 0);
	zone_wall.seaCompilation = sea;
	sea:Pause();
	
	zone_wall.on_open = function()
	    zone_wall.seaCompilation:Resume();
	    zone_wall.seaSound:Play(true);
	end
	
	zone_wall.on_close = function()
	    zone_wall.seaCompilation:Pause();
	    zone_wall.seaSound:Stop();
	end
	
	LoadSound("BarnDoorOpen", "data/Sound/14_Theatre_Workshop_Street/Barn_door_open.ogg");
	LoadSound("TileRolling", "data/Sound/14_Theatre_Workshop_Street/Tile_rolling.ogg");
	LoadSound("14_Sea", "data/Sound/14_Theatre_Workshop_Street/Sea.ogg");
	
	zone_wall.seaSound = MakeSoundEntity("14_Sea");
	
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    if is_wrong_click then
        play_field:ShowWrongObjectEffect()
    end
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
    local screen = level;

    local anim = screen:CreateAnimation('data/Texture/Scenes/Common/Clouds.png');
	anim:SetPosXY(512, 200);
	anim:SetOpacity(0.6);
	anim:SetScaleXY(1, 1.057);
	anim:SetPosZ(42);
	
	local effector = CreateTextureEffector();
	effector:AttachToAnimation(anim);
	effector:SetSpeed(-16);
	effector:Play();
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

function BuildSeaCompilation()

    createCompositionRock_waved = function()
    
        local compositionRock_waved = CreateCompositionSequence();
        local compositionDuration = 2.36;
        compositionRock_waved:SetDuration(compositionDuration);
    
    
        -- Layer Wave_1
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_12.png");
        element:SetName("Wave_1");
        compositionRock_waved:AddElement(element);
        element:SetHotSpot(86.5, 1.5);
        element:SetParentElement(compositionRock_waved);
        element:SetXY(342.957550048828, 266.494888305664);
    
        element:SetAngle(-0.32154868251646);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 1.2);
    
        effector:SetKey(_TRACK_SX, 0, 1.25998865934884);
        effector:SetKey(_TRACK_SY, 0, 1.0179891645693);
        effector:SetKey(_TRACK_SX, 1.16, 1.25998865934884);
        effector:SetKey(_TRACK_SY, 1.16, 1.29547451485577);
        effector:SetKey(_TRACK_O, 0, 1);
        effector:SetKey(_TRACK_O, 1.16, 0);
    
        effector:Play();
    
    
        -- Layer Wave_2
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_12.png");
        element:SetName("Wave_2");
        compositionRock_waved:AddElement(element);
        element:SetHotSpot(86.5, 1.5);
        element:SetParentElement(compositionRock_waved);
        element:SetXY(342.957550048828, 266.494888305664);
    
        element:SetAngle(-0.32154868251646);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.2, 2.4);
    
        effector:SetKey(_TRACK_SX, 1.2, 1.25998865934884);
        effector:SetKey(_TRACK_SY, 1.2, 0.73093535392813);
        effector:SetKey(_TRACK_SX, 3.56, 1.25998865934884);
        effector:SetKey(_TRACK_SY, 3.56, 1.29547451485577);
        effector:SetKey(_TRACK_O, 1.2, 0);
        effector:SetKey(_TRACK_O, 2.4, 1);
        effector:SetKey(_TRACK_O, 3.56, 0);
    
        effector:Play();
    
    
        -- Layer Wave_3
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_12.png");
        element:SetName("Wave_3");
        compositionRock_waved:AddElement(element);
        element:SetHotSpot(86.5, 1.5);
        element:SetParentElement(compositionRock_waved);
        element:SetXY(342.957550048828, 266.494888305664);
    
        element:SetAngle(-0.32154868251646);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
        effector:SetKey(_TRACK_SX, 0, 1.25998865934884);
        effector:SetKey(_TRACK_SY, 0, 0.73093535392813);
        effector:SetKey(_TRACK_SX, 2.36, 1.25998865934884);
        effector:SetKey(_TRACK_SY, 2.36, 1.29547451485577);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 1.2, 1);
        effector:SetKey(_TRACK_O, 2.36, 0);
    
        effector:Play();
    
    
        -- Layer Rock
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/stone.png");
        element:SetName("Rock");
        compositionRock_waved:AddElement(element);
        element:SetHotSpot(53.5, 37.5);
        element:SetParentElement(compositionRock_waved);
        element:SetXY(356.450958251953, 281.112747192383);
    
        element:SetScaleX(1.59970717423133);
        element:SetScaleY(1.59970717423133);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
        compositionRock_waved:Play();
    
        return compositionRock_waved;
    end
    
    createCompositionwall_sea = function()
    
        local compositionwall_sea = CreateCompositionSequence();
        local compositionDuration = 2.36;
        compositionwall_sea:SetDuration(compositionDuration);
        compositionwall_sea:SetHotSpot(320, 240);
    
    
        -- Layer Foreground_stones
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/wall_sea.png");
        element:SetName("Foreground_stones");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(320, 240);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(320, 240);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 3.48);
    
    
        effector:Play();
    
    
        -- Layer Fog
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/fog_sea.png");
        element:SetName("Fog");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(512, 293);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(320, 183.3);
    
        element:SetScaleX(0.63);
        element:SetScaleY(0.63);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 3.48);
    
    
        effector:Play();
    
    
        -- Layer Rock_waved_1
        local element = createCompositionRock_waved();
        element:SetName("Rock_waved_1");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(577.150684509277, 177.660434875488);
    
        element:SetScaleX(0.27533674963397);
        element:SetScaleY(0.24812591508053);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Rock_waved_2
        local element = createCompositionRock_waved();
        element:SetName("Rock_waved_2");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(596.986004180908, 188.286503448486);
    
        element:SetScaleX(0.52161786237189);
        element:SetScaleY(0.4492093704246);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Rock_waved_3
        local element = createCompositionRock_waved();
        element:SetName("Rock_waved_3");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(655.075126495361, 188.994897766113);
    
        element:SetScaleX(0.62953879941435);
        element:SetScaleY(0.54513909224012);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Rock_waved_4
        local element = createCompositionRock_waved();
        element:SetName("Rock_waved_4");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(211.614169769287, 241.416807861328);
    
        element:SetScaleX(0.4510541727672);
        element:SetScaleY(0.4510541727672);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_1
        local element = createCompositionWater_splash_comp_3();
        element:SetName("Waves_splash_1");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(384.26, 240.63);
    
        element:SetScaleX(0.30981181442846);
        element:SetScaleY(0.30981181442846);
        element:SetAngle(-0.14233938317869);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.64, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_2
        local element = createCompositionWater_splash_comp_3();
        element:SetName("Waves_splash_2");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(317.48, 284.73);
    
        element:SetScaleX(0.26409450556814);
        element:SetScaleY(0.26409450556814);
        element:SetAngle(-0.81173244133722);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.64, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_3
        local element = createCompositionWater_splash_comp_3();
        element:SetName("Waves_splash_3");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(595.31, 245.67);
    
        element:SetScaleX(0.26409450556814);
        element:SetScaleY(0.26409450556814);
        element:SetAngle(-0.07097793571397);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.64, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_4
        local element = createCompositionWater_splash_comp_3();
        element:SetName("Waves_splash_4");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(556.25, 247.56);
    
        element:SetScaleX(0.26409450556814);
        element:SetScaleY(0.26409450556814);
        element:SetAngle(0.00371279302248);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.64, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_5
        local element = createCompositionWater_splash_comp_3();
        element:SetName("Waves_splash_5");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(214.79, 316.86);
    
        element:SetScaleX(0.26409450556814);
        element:SetScaleY(0.26409450556814);
        element:SetAngle(0.52670908015613);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.64, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_6
        local element = createCompositionWater_splash_comp_3();
        element:SetName("Waves_splash_6");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(282.83, 299.85);
    
        element:SetScaleX(0.26409450556814);
        element:SetScaleY(0.26409450556814);
        element:SetAngle(-0.58706205610796);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.64, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_7
        local element = createCompositionWater_splash_comp_3();
        element:SetName("Waves_splash_7");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(262.04, 319.38);
    
        element:SetScaleX(0.26409450556814);
        element:SetScaleY(0.26409450556814);
        element:SetAngle(-0.05301189706628);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.64, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_8
        local element = createCompositionWater_splash_comp_3();
        element:SetName("Waves_splash_8");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(344.57, 260.79);
    
        element:SetScaleX(0.26409450556814);
        element:SetScaleY(0.26409450556814);
        element:SetAngle(-0.46394071317394);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.64, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_9
        local element = createCompositionWater_splash_comp_3();
        element:SetName("Waves_splash_9");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(502.07, 238.74);
    
        element:SetScaleX(0.30000071230649);
        element:SetScaleY(0.30000071230649);
        element:SetAngle(0.13530232940058);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.64, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_10
        local element = createCompositionWater_splash_comp_3();
        element:SetName("Waves_splash_10");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(432.14, 232.44);
    
        element:SetScaleX(0.41919969512195);
        element:SetScaleY(0.41919969512195);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.64, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_11
        local element = createCompositionWater_splash_comp_3_shifted();
        element:SetName("Waves_splash_11");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(384.26, 240.63);
    
        element:SetScaleX(0.30981181442846);
        element:SetScaleY(0.30981181442846);
        element:SetAngle(-0.14233938317869);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_12
        local element = createCompositionWater_splash_comp_3_shifted();
        element:SetName("Waves_splash_12");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(317.48, 284.73);
    
        element:SetScaleX(0.26409450556814);
        element:SetScaleY(0.26409450556814);
        element:SetAngle(-0.81173244133722);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_13
        local element = createCompositionWater_splash_comp_3_shifted();
        element:SetName("Waves_splash_13");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(595.31, 245.67);
    
        element:SetScaleX(0.26409450556814);
        element:SetScaleY(0.26409450556814);
        element:SetAngle(-0.07097793571397);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_14
        local element = createCompositionWater_splash_comp_3_shifted();
        element:SetName("Waves_splash_14");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(556.25, 247.56);
    
        element:SetScaleX(0.26409450556814);
        element:SetScaleY(0.26409450556814);
        element:SetAngle(0.00371279302248);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_15
        local element = createCompositionWater_splash_comp_3_shifted();
        element:SetName("Waves_splash_15");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(214.79, 316.86);
    
        element:SetScaleX(0.26409450556814);
        element:SetScaleY(0.26409450556814);
        element:SetAngle(0.52670908015613);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_16
        local element = createCompositionWater_splash_comp_3_shifted();
        element:SetName("Waves_splash_16");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(282.83, 299.85);
    
        element:SetScaleX(0.26409450556814);
        element:SetScaleY(0.26409450556814);
        element:SetAngle(-0.58706205610796);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_17
        local element = createCompositionWater_splash_comp_3_shifted();
        element:SetName("Waves_splash_17");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(262.04, 319.38);
    
        element:SetScaleX(0.26409450556814);
        element:SetScaleY(0.26409450556814);
        element:SetAngle(-0.05301189706628);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_18
        local element = createCompositionWater_splash_comp_3_shifted();
        element:SetName("Waves_splash_18");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(344.57, 260.79);
    
        element:SetScaleX(0.26409450556814);
        element:SetScaleY(0.26409450556814);
        element:SetAngle(-0.46394071317394);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_19
        local element = createCompositionWater_splash_comp_3_shifted();
        element:SetName("Waves_splash_19");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(502.07, 238.74);
    
        element:SetScaleX(0.30000071230649);
        element:SetScaleY(0.30000071230649);
        element:SetAngle(0.13530232940058);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_20
        local element = createCompositionWater_splash_comp_3_shifted();
        element:SetName("Waves_splash_20");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(184.5, 138.5);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(432.14, 232.44);
    
        element:SetScaleX(0.41919969512195);
        element:SetScaleY(0.41919969512195);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_21
        local element = createCompositionWater_splash_comp_1();
        element:SetName("Waves_splash_21");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(450.41, 221.1);
    
        element:SetScaleX(0.55004058505903);
        element:SetScaleY(0.55004058505903);
        element:SetAngle(-0.01414567381426);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.36, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_22
        local element = createCompositionWater_splash_comp_1();
        element:SetName("Waves_splash_22");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(462.52113861084, 105.512063140869);
    
        element:SetScaleX(0.39523438639097);
        element:SetScaleY(0.39523438639097);
        element:SetAngle(0.09411083624259);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.0, 1.68);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_23
        local element = createCompositionWater_splash_comp_1();
        element:SetName("Waves_splash_23");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(267.71, 301.74);
    
        element:SetScaleX(0.3339);
        element:SetScaleY(0.3339);
        element:SetAngle(-0.36470287305849);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.64, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_24
        local element = createCompositionWater_splash_comp_1();
        element:SetName("Waves_splash_24");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(263.93, 296.7);
    
        element:SetScaleX(0.63);
        element:SetScaleY(0.63);
        element:SetAngle(-0.36470287305849);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.64, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_25
        local element = createCompositionWater_splash_comp_1();
        element:SetName("Waves_splash_25");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(314.33, 229.92);
    
        element:SetScaleX(0.63);
        element:SetScaleY(0.63);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.64, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_26
        local element = createCompositionWater_splash_comp_2();
        element:SetSpeed(1.51);
        element:SetName("Waves_splash_26");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(727, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(289.912251281738, 288.545087585449);
    
        element:SetScaleX(-0.2857366043912);
        element:SetScaleY(0.1485417721519);
        element:SetAngle(-0.35333823927359);
        element:SetOpacity(0.57);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.6, 2.1840000629425);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_27
        local element = createCompositionWater_splash_comp_2();
        element:SetSpeed(1.51);
        element:SetName("Waves_splash_27");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(727, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(360.344657440186, 245.67319152832);
    
        element:SetScaleX(-0.25091212833357);
        element:SetScaleY(0.17870777481724);
        element:SetAngle(-0.21248386095581);
        element:SetOpacity(0.57);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.8, 2.3840000629425);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_28
        local element = createCompositionWater_splash_comp_2();
        element:SetSpeed(1.51);
        element:SetName("Waves_splash_28");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(727, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(471.607438964844, 233.424086608887);
    
        element:SetScaleX(-0.25683797468354);
        element:SetScaleY(0.24157974683544);
        element:SetAngle(0);
        element:SetOpacity(0.57);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.56, 2.1440000629425);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_29
        local element = createCompositionWater_splash_comp_2();
        element:SetSpeed(1.51);
        element:SetName("Waves_splash_29");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(727, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(490.085003662109, 104.443631744385);
    
        element:SetScaleX(-0.16615639249686);
        element:SetScaleY(0.14187657208723);
        element:SetAngle(-0.12417933133742);
        element:SetOpacity(0.57);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.76, 2.3440000629425);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_30
        local element = createCompositionWater_splash_comp_2();
        element:SetSpeed(1.51);
        element:SetName("Waves_splash_30");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(727, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(163.820937042236, 173.737171783447);
    
        element:SetScaleX(0.13770592864729);
        element:SetScaleY(0.11930126582279);
        element:SetAngle(0);
        element:SetOpacity(0.57);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.0, 1.3840000629425);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_31
        local element = createCompositionWater_splash_comp_2();
        element:SetSpeed(1.51);
        element:SetName("Waves_splash_31");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(727, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(568.57959487915, 218.112700653076);
    
        element:SetScaleX(-0.25683797468354);
        element:SetScaleY(0.24157974683544);
        element:SetAngle(0);
        element:SetOpacity(0.57);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.36, 1.9440000629425);
    
    
        effector:Play();
    
    
        -- Layer Waves_splash_32
        local element = createCompositionWater_splash_comp_2();
        element:SetName("Waves_splash_32");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(727, 384);
        element:SetParentElement(compositionwall_sea);
        element:SetXY(264.769333496094, 290.565142364502);
    
        element:SetScaleX(0.42287353217983);
        element:SetScaleY(0.38717368421053);
        element:SetAngle(0);
        element:SetOpacity(0.57);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
    
        effector:Play();
    
    
        -- Layer Waves_1
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/waves.jpg");
        element:SetName("Waves_1");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(614, 258);
        element:SetParentElement(compositionwall_sea);
        element:SetScaleX(0.74697068403909);
        element:SetScaleY(0.74697068403909);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.2, 3.6);
    
        effector:SetKey(_TRACK_X, 1.2, 362.84);
        effector:SetKey(_TRACK_Y, 1.2, 158.73);
        effector:SetKey(_TRACK_X, 3.56, 372.92);
        effector:SetKey(_TRACK_Y, 3.56, 188.97);
        effector:SetKey(_TRACK_O, 1.2, 0);
        effector:SetKey(_TRACK_O, 2.36, 0.15);
        effector:SetKey(_TRACK_O, 3.56, 0);
    
        effector:Play();
    
    
        -- Layer Waves_2
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/waves.jpg");
        element:SetName("Waves_2");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(614, 258);
        element:SetParentElement(compositionwall_sea);
        element:SetScaleX(0.74697068403909);
        element:SetScaleY(0.74697068403909);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 3.24);
    
        effector:SetKey(_TRACK_X, 0, 367.793945708768);
        effector:SetKey(_TRACK_Y, 0, 173.591837126304);
        effector:SetKey(_TRACK_X, 1.2, 372.92);
        effector:SetKey(_TRACK_Y, 1.2, 188.97);
        effector:SetKey(_TRACK_O, 0, 0.15);
        effector:SetKey(_TRACK_O, 1.2, 0);
    
        effector:Play();
    
    
        -- Layer Waves_3
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/waves.jpg");
        element:SetName("Waves_3");
        compositionwall_sea:AddElement(element);
        element:SetHotSpot(614, 258);
        element:SetParentElement(compositionwall_sea);
        element:SetScaleX(0.74697068403909);
        element:SetScaleY(0.74697068403909);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.4);
    
        effector:SetKey(_TRACK_X, 0, 362.84);
        effector:SetKey(_TRACK_Y, 0, 158.73);
        effector:SetKey(_TRACK_X, 2.36, 372.92);
        effector:SetKey(_TRACK_Y, 2.36, 188.97);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 1.16, 0.15);
        effector:SetKey(_TRACK_O, 2.36, 0);
    
        effector:Play();
    
        compositionwall_sea:Play();
    
        return compositionwall_sea;
    end
    
    createCompositionWater_splash_comp_1 = function()
    
        local compositionWater_splash_comp_1 = CreateCompositionSequence();
        local compositionDuration = 3.48;
        compositionWater_splash_comp_1:SetDuration(compositionDuration);
    
    
        -- Layer Water_splash_1
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_1.png");
        element:SetName("Water_splash_1");
        compositionWater_splash_comp_1:AddElement(element);
        element:SetHotSpot(88, 97.5);
        element:SetParentElement(compositionWater_splash_comp_1);
        element:SetXY(771, 413);
    
        element:SetAngle(0.28706736787617);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 1.44);
    
        effector:SetKey(_TRACK_SX, 0, 0.46890909090909);
        effector:SetKey(_TRACK_SY, 0, 0.16389743589744);
        effector:SetKey(_TRACK_SX, 0.58078128099442, 0.91209090909091);
        effector:SetKey(_TRACK_SY, 0.58078128099442, 0.78953846153846);
        effector:SetKey(_TRACK_SX, 1.40000004413699, 1.17345454545455);
        effector:SetKey(_TRACK_SY, 1.40000004413699, 0.39979487179487);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.60000001891585, 0.25);
        effector:SetKey(_TRACK_O, 1.40000004413699, 0);
    
        effector:Play();
    
    
        -- Layer Water_splash_2
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_1.png");
        element:SetName("Water_splash_2");
        compositionWater_splash_comp_1:AddElement(element);
        element:SetHotSpot(88, 97.5);
        element:SetParentElement(compositionWater_splash_comp_1);
        element:SetXY(734, 404);
    
        element:SetAngle(-0.42978907460761);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 1.44);
    
        effector:SetKey(_TRACK_SX, 0, 0.46890909090909);
        effector:SetKey(_TRACK_SY, 0, 0.16389743589744);
        effector:SetKey(_TRACK_SX, 0.58078128099442, 0.91209090909091);
        effector:SetKey(_TRACK_SY, 0.58078128099442, 0.78953846153846);
        effector:SetKey(_TRACK_SX, 1.40000004413699, 1.17345454545455);
        effector:SetKey(_TRACK_SY, 1.40000004413699, 0.39979487179487);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.60000001891585, 0.25);
        effector:SetKey(_TRACK_O, 1.40000004413699, 0);
    
        effector:Play();
    
    
        -- Layer Water_splash_3
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_1.png");
        element:SetName("Water_splash_3");
        compositionWater_splash_comp_1:AddElement(element);
        element:SetHotSpot(88, 97.5);
        element:SetParentElement(compositionWater_splash_comp_1);
        element:SetXY(767, 393);
    
        element:SetAngle(0.12752141493312);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 1.44);
    
        effector:SetKey(_TRACK_SX, 0, 0.46890909090909);
        effector:SetKey(_TRACK_SY, 0, 0.16389743589744);
        effector:SetKey(_TRACK_SX, 0.58078128099442, 0.91209090909091);
        effector:SetKey(_TRACK_SY, 0.58078128099442, 0.78953846153846);
        effector:SetKey(_TRACK_SX, 1.40000004413699, 1.17345454545455);
        effector:SetKey(_TRACK_SY, 1.40000004413699, 0.39979487179487);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.60000001891585, 0.25);
        effector:SetKey(_TRACK_O, 1.40000004413699, 0);
    
        effector:Play();
    
    
        -- Layer Water_splash_4
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_1.png");
        element:SetName("Water_splash_4");
        compositionWater_splash_comp_1:AddElement(element);
        element:SetHotSpot(88, 97.5);
        element:SetParentElement(compositionWater_splash_comp_1);
        element:SetXY(743, 403);
    
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 1.44);
    
        effector:SetKey(_TRACK_SX, 0, 0.46890909090909);
        effector:SetKey(_TRACK_SY, 0, 0.16389743589744);
        effector:SetKey(_TRACK_SX, 0.58078128099442, 0.91209090909091);
        effector:SetKey(_TRACK_SY, 0.58078128099442, 0.78953846153846);
        effector:SetKey(_TRACK_SX, 1.40000004413699, 1.17345454545455);
        effector:SetKey(_TRACK_SY, 1.40000004413699, 0.39979487179487);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.60000001891585, 0.25);
        effector:SetKey(_TRACK_O, 1.40000004413699, 0);
    
        effector:Play();
    
        compositionWater_splash_comp_1:Play();
    
        return compositionWater_splash_comp_1;
    end
    
    createCompositionWater_splash_comp_2 = function()
    
        local compositionWater_splash_comp_2 = CreateCompositionSequence();
        local compositionDuration = 2.36;
        compositionWater_splash_comp_2:SetDuration(compositionDuration);
    
    
        -- Layer Water_splash_1
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_9.png");
        element:SetName("Water_splash_1");
        compositionWater_splash_comp_2:AddElement(element);
        element:SetHotSpot(299.5, 269);
        element:SetParentElement(compositionWater_splash_comp_2);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 11.5774998044968);
    
        effector:SetKey(_TRACK_X, 0.13476556301117, 671.527084350586);
        effector:SetKey(_TRACK_Y, 0.13476556301117, 554.35432434082);
        effector:SetKey(_TRACK_X, 0.99839836120605, 530.48015920571);
        effector:SetKey(_TRACK_Y, 0.99839836120605, 457.433210989063);
        effector:SetKey(_TRACK_X, 2.26839834213257, 384.296983186958);
        effector:SetKey(_TRACK_Y, 2.26839834213257, 605.020618164831);
        effector:SetKey(_TRACK_SX, 0.13476556301117, 0.41806378126551);
        effector:SetKey(_TRACK_SY, 0.13476556301117, 0.26429974908424);
        effector:SetKey(_TRACK_SX, 0.99839836120605, 0.77473436694149);
        effector:SetKey(_TRACK_SY, 0.99839836120605, 0.96655907950383);
        effector:SetKey(_TRACK_SX, 2.16683584213257, 1.00375442721764);
        effector:SetKey(_TRACK_SY, 2.16683584213257, 0.91639769875957);
        effector:SetKey(_TRACK_O, 0.13476556301117, 0);
        effector:SetKey(_TRACK_O, 0.3380077457428, 1);
        effector:SetKey(_TRACK_O, 1.60800772666931, 1);
        effector:SetKey(_TRACK_O, 2.26839834213257, 0);
    
        effector:Play();
    
    
        -- Layer Water_splash_2
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_9.png");
        element:SetName("Water_splash_2");
        compositionWater_splash_comp_2:AddElement(element);
        element:SetHotSpot(299.5, 269);
        element:SetParentElement(compositionWater_splash_comp_2);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 11.5774998044968);
    
        effector:SetKey(_TRACK_X, 0.13476556301117, 671.527084350586);
        effector:SetKey(_TRACK_Y, 0.13476556301117, 554.35432434082);
        effector:SetKey(_TRACK_X, 0.99839836120605, 550.720271510397);
        effector:SetKey(_TRACK_Y, 0.99839836120605, 539.518110891407);
        effector:SetKey(_TRACK_X, 2.26839834213257, 446.141801302192);
        effector:SetKey(_TRACK_Y, 2.26839834213257, 661.243167603307);
        effector:SetKey(_TRACK_SX, 0.13476556301117, 0.41806378126551);
        effector:SetKey(_TRACK_SY, 0.13476556301117, 0.26429974908424);
        effector:SetKey(_TRACK_SX, 0.99839836120605, 0.77473436694149);
        effector:SetKey(_TRACK_SY, 0.99839836120605, 0.96655907950383);
        effector:SetKey(_TRACK_SX, 2.16683584213257, 1.00375442721764);
        effector:SetKey(_TRACK_SY, 2.16683584213257, 0.91639769875957);
        effector:SetKey(_TRACK_O, 0.13476556301117, 0);
        effector:SetKey(_TRACK_O, 0.3380077457428, 1);
        effector:SetKey(_TRACK_O, 1.60800772666931, 1);
        effector:SetKey(_TRACK_O, 2.26839834213257, 0);
    
        effector:Play();
    
        compositionWater_splash_comp_2:Play();
    
        return compositionWater_splash_comp_2;
    end
    
    createCompositionWater_splash_comp_3 = function()
    
        local compositionWater_splash_comp_3 = CreateCompositionSequence();
        local compositionDuration = 3.52;
        compositionWater_splash_comp_3:SetDuration(compositionDuration);
    
    
        -- Layer Water_splash_1
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_9.png");
        element:SetName("Water_splash_1");
        compositionWater_splash_comp_3:AddElement(element);
        element:SetHotSpot(299.5, 169);
        compositionWater_splash_comp_3:RegisterParentInfo("Water_splash_1", "Water_splash_3");
        element:SetXY(89.6743401549161, -11.5836244710831);
    
        element:SetScaleX(0.61776096060773);
        element:SetScaleY(0.70176660523077);
        element:SetAngle(0.23268489458589);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 8.25);
    
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.76, 0.19);
        effector:SetKey(_TRACK_O, 2, 0.19);
        effector:SetKey(_TRACK_O, 2.68, 0);
    
        effector:Play();
    
    
        -- Layer Water_splash_2
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_7.png");
        element:SetName("Water_splash_2");
        compositionWater_splash_comp_3:AddElement(element);
        element:SetHotSpot(100, 41.5);
        compositionWater_splash_comp_3:RegisterParentInfo("Water_splash_2", "Water_splash_3");
        element:SetXY(71.3860690641766, 6.24305561442233);
    
        element:SetScaleX(1.54704192562373);
        element:SetScaleY(1.75741497039019);
        element:SetAngle(0.23268489458589);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 8.25);
    
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.76, 0.22);
        effector:SetKey(_TRACK_O, 2, 0.22);
        effector:SetKey(_TRACK_O, 2.68, 0);
    
        effector:Play();
    
    
        -- Layer Water_splash_3
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_4.png");
        element:SetName("Water_splash_3");
        compositionWater_splash_comp_3:AddElement(element);
        element:SetHotSpot(86, 42.5);
        compositionWater_splash_comp_3:RegisterParentInfo("Water_splash_3", "Water_splash_4");
        element:SetXY(119.010679486526, 70.9402283844245);
    
        element:SetScaleX(1.02511171216541);
        element:SetScaleY(0.38666552365239);
        element:SetAngle(-0.08914935779816);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 3.03750005364418);
    
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.76000001342208, 0.45);
        effector:SetKey(_TRACK_O, 2.00000003532127, 0.4);
        effector:SetKey(_TRACK_O, 2.70000004768372, 0);
    
        effector:Play();
    
    
        -- Layer Water_splash_4
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_7.png");
        element:SetName("Water_splash_4");
        compositionWater_splash_comp_3:AddElement(element);
        element:SetHotSpot(100, 41.5);
        compositionWater_splash_comp_3:RegisterParentInfo("Water_splash_4", "Water_splash_5");
        element:SetXY(156.396815286624, 44.8967487356207);
    
        element:SetScaleX(1.2212101910828);
        element:SetScaleY(1.36538393368073);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 3.03750005364418);
    
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.76000001342208, 0.16156791320257);
        effector:SetKey(_TRACK_O, 2.00000003532127, 0.11854607105255);
        effector:SetKey(_TRACK_O, 2.70000004768372, 0);
    
        effector:Play();
    
    
        -- Layer Water_splash_5
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_2.png");
        element:SetName("Water_splash_5");
        compositionWater_splash_comp_3:AddElement(element);
        element:SetHotSpot(150, 63.5);
        element:SetParentElement(compositionWater_splash_comp_3);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.70000004768372);
    
        effector:SetKey(_TRACK_X, 0, 173.5);
        effector:SetKey(_TRACK_Y, 0, 49.5);
        effector:SetKey(_TRACK_X, 1.18796873092651, 173.5);
        effector:SetKey(_TRACK_Y, 1.18796873092651, 121.5);
        effector:SetKey(_TRACK_X, 2.65374994277954, 173.5);
        effector:SetKey(_TRACK_Y, 2.65374994277954, 205.5);
        effector:SetKey(_TRACK_SX, 0, 0.73493975903614);
        effector:SetKey(_TRACK_SY, 0, 0.73493975903614);
        effector:SetKey(_TRACK_SX, 1.18796873092651, 0.87951807228916);
        effector:SetKey(_TRACK_SY, 1.18796873092651, 1.85589602504506);
        effector:SetKey(_TRACK_SX, 2.64601564407349, 0.99397590361446);
        effector:SetKey(_TRACK_SY, 2.64601564407349, 0.86377004079309);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.76000001342208, 0.33878498375416);
        effector:SetKey(_TRACK_O, 2.00000003532127, 0.26486826002598);
        effector:SetKey(_TRACK_O, 2.70000004768372, 0);
    
        effector:Play();
    
        compositionWater_splash_comp_3:Play();
    
        return compositionWater_splash_comp_3;
    end
    
    createCompositionWater_splash_comp_3_shifted = function()
    
        local compositionWater_splash_comp_3_shifted = CreateCompositionSequence();
        local compositionDuration = 3.52;
        compositionWater_splash_comp_3_shifted:SetDuration(compositionDuration);
    
    
        -- Layer Water_splash_1
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_9.png");
        element:SetName("Water_splash_1");
        compositionWater_splash_comp_3_shifted:AddElement(element);
        element:SetHotSpot(299.5, 169);
        compositionWater_splash_comp_3_shifted:RegisterParentInfo("Water_splash_1", "Water_splash_3");
        element:SetXY(89.6743401549161, -11.5836244710831);
    
        element:SetScaleX(0.61776096060773);
        element:SetScaleY(0.70176660523077);
        element:SetAngle(0.23268489458589);
    
        effector = element:GetEffector();
        effector:SetLifeTime(-0.72, 7.53);
    
        effector:SetKey(_TRACK_O, 0, 0.18);
        effector:SetKey(_TRACK_O, 0.04, 0.19);
        effector:SetKey(_TRACK_O, 1.28, 0.19);
        effector:SetKey(_TRACK_O, 1.96, 0);
    
        effector:Play();
    
    
        -- Layer Water_splash_2
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_7.png");
        element:SetName("Water_splash_2");
        compositionWater_splash_comp_3_shifted:AddElement(element);
        element:SetHotSpot(100, 41.5);
        compositionWater_splash_comp_3_shifted:RegisterParentInfo("Water_splash_2", "Water_splash_3");
        element:SetXY(71.3860690641766, 6.24305561442233);
    
        element:SetScaleX(1.54704192562373);
        element:SetScaleY(1.75741497039019);
        element:SetAngle(0.23268489458589);
    
        effector = element:GetEffector();
        effector:SetLifeTime(-0.72, 7.53);
    
        effector:SetKey(_TRACK_O, 0, 0.20842105263158);
        effector:SetKey(_TRACK_O, 0.04, 0.22);
        effector:SetKey(_TRACK_O, 1.28, 0.22);
        effector:SetKey(_TRACK_O, 1.96, 0);
    
        effector:Play();
    
    
        -- Layer Water_splash_3
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_4.png");
        element:SetName("Water_splash_3");
        compositionWater_splash_comp_3_shifted:AddElement(element);
        element:SetHotSpot(86, 42.5);
        compositionWater_splash_comp_3_shifted:RegisterParentInfo("Water_splash_3", "Water_splash_4");
        element:SetXY(119.010679486526, 70.9402283844245);
    
        element:SetScaleX(1.02511171216541);
        element:SetScaleY(0.38666552365239);
        element:SetAngle(-0.08914935779816);
    
        effector = element:GetEffector();
        effector:SetLifeTime(-0.72, 2.31750005364418);
    
        effector:SetKey(_TRACK_O, 1.27156575520833e-8, 0.42631578947368);
        effector:SetKey(_TRACK_O, 0.04000001342208, 0.45);
        effector:SetKey(_TRACK_O, 1.28000003532127, 0.4);
        effector:SetKey(_TRACK_O, 1.98000004768372, 0);
    
        effector:Play();
    
    
        -- Layer Water_splash_4
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_7.png");
        element:SetName("Water_splash_4");
        compositionWater_splash_comp_3_shifted:AddElement(element);
        element:SetHotSpot(100, 41.5);
        compositionWater_splash_comp_3_shifted:RegisterParentInfo("Water_splash_4", "Water_splash_5");
        element:SetXY(156.396815286624, 44.8967487356207);
    
        element:SetScaleX(1.2212101910828);
        element:SetScaleY(1.36538393368073);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(-0.72, 2.31750005364418);
    
        effector:SetKey(_TRACK_O, 1.27156575520833e-8, 0.15306433882348);
        effector:SetKey(_TRACK_O, 0.04000001342208, 0.16156791320257);
        effector:SetKey(_TRACK_O, 1.28000003532127, 0.11854607105255);
        effector:SetKey(_TRACK_O, 1.98000004768372, 0);
    
        effector:Play();
    
    
        -- Layer Water_splash_5
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_2.png");
        element:SetName("Water_splash_5");
        compositionWater_splash_comp_3_shifted:AddElement(element);
        element:SetHotSpot(150, 63.5);
        element:SetParentElement(compositionWater_splash_comp_3_shifted);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(-0.72, 1.98000004768372);
    
        effector:SetKey(_TRACK_X, 1.27156575520833e-8, 173.5);
        effector:SetKey(_TRACK_Y, 1.27156575520833e-8, 93.1375182824557);
        effector:SetKey(_TRACK_X, 0.46796873092651, 173.5);
        effector:SetKey(_TRACK_Y, 0.46796873092651, 121.5);
        effector:SetKey(_TRACK_X, 1.93374994277954, 173.5);
        effector:SetKey(_TRACK_Y, 1.93374994277954, 205.5);
        effector:SetKey(_TRACK_SX, 1.27156575520833e-8, 0.82256528415385);
        effector:SetKey(_TRACK_SY, 1.27156575520833e-8, 1.41432506401695);
        effector:SetKey(_TRACK_SX, 0.46796873092651, 0.87951807228916);
        effector:SetKey(_TRACK_SY, 0.46796873092651, 1.85589602504506);
        effector:SetKey(_TRACK_SX, 1.92601564407349, 0.99397590361446);
        effector:SetKey(_TRACK_SY, 1.92601564407349, 0.86377004079309);
        effector:SetKey(_TRACK_O, 1.27156575520833e-8, 0.32095419513552);
        effector:SetKey(_TRACK_O, 0.04000001342208, 0.33878498375416);
        effector:SetKey(_TRACK_O, 1.28000003532127, 0.26486826002598);
        effector:SetKey(_TRACK_O, 1.98000004768372, 0);
    
        effector:Play();
    
        compositionWater_splash_comp_3_shifted:Play();
    
        return compositionWater_splash_comp_3_shifted;
    
    end
    
    createCompositionWater_splash_comp_4 = function()
    
        local compositionWater_splash_comp_4 = CreateCompositionSequence();
        local compositionDuration = 3.48;
        compositionWater_splash_comp_4:SetDuration(compositionDuration);
    
    
        -- Layer Water_splash_1
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_8.png");
        element:SetName("Water_splash_1");
        compositionWater_splash_comp_4:AddElement(element);
        element:SetHotSpot(133, 158);
        element:SetParentElement(compositionWater_splash_comp_4);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 1.68);
    
        effector:SetKey(_TRACK_X, 0, 378);
        effector:SetKey(_TRACK_Y, 0, 523);
        effector:SetKey(_TRACK_X, 1.64, 378);
        effector:SetKey(_TRACK_Y, 1.64, 565);
        effector:SetKey(_TRACK_SX, 0, 0.20169227411611);
        effector:SetKey(_TRACK_SY, 0, -0.03527848101266);
        effector:SetKey(_TRACK_SX, 0.72, 0.73272675687473);
        effector:SetKey(_TRACK_SY, 0.72, 0.79383544303798);
        effector:SetKey(_TRACK_SX, 4.84, 1.24307158446094);
        effector:SetKey(_TRACK_SY, 4.84, 0.23054430379747);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.72, 1);
        effector:SetKey(_TRACK_O, 1.64, 0);
    
        effector:Play();
    
        compositionWater_splash_comp_4:Play();
    
        return compositionWater_splash_comp_4;
    end
    
    createCompositionwave = function()
    
        local compositionwave = CreateCompositionSequence();
        local compositionDuration = 3.48;
        compositionwave:SetDuration(compositionDuration);
    
    
        -- Layer Wave_1
        local element = CreateCompositionElement("data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/splash_4.png");
        element:SetName("Wave_1");
        compositionwave:AddElement(element);
        element:SetHotSpot(88, -31.5);
        element:SetParentElement(compositionwave);
        element:SetXY(42, -4);
    
        element:SetAngle(-0.45348600207705);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 1.6);
    
        effector:SetKey(_TRACK_SX, 0, 0.75);
        effector:SetKey(_TRACK_SY, 0, 0.75);
        effector:SetKey(_TRACK_SX, 1.56, 1.13);
        effector:SetKey(_TRACK_SY, 1.56, 1.13);
        effector:SetKey(_TRACK_O, 0, 0.01);
        effector:SetKey(_TRACK_O, 0.88, 0.28);
        effector:SetKey(_TRACK_O, 1.56, 0);
    
        effector:Play();
    
        compositionwave:Play();
    
        return compositionwave;
    end
    
    local result = createCompositionwall_sea();
    result:SetCyclic(true);
    result:SetClippingRect(512 - 322, 384 - 240, 644, 480);
    return result;

end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Layers/BG_Workshop_Street.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Workshop_Street',anim,512,384,40,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_Theatre_Fountain',anim,507,699,100,0,120,19)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_Workshop_Inside',anim,667,498,110,0,11,35)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_Zoom_Stena',anim,171,358,100,0,30,30)
	local anim = CreateAnimation('data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Layers/Layer_Top.png',0,0,1024,411,1,0)
	anim:SetHotSpot(512,205)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_Top',anim,512,205,50,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Interactives/sea.png',0,0,79,37,5,5)
	anim:SetHotSpot(40,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sea',anim,196,429,60,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Zoom_Stena/Layers/sea_back.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Zoom_stena',anim,514,384,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Layers/Door_Opened.PNG',0,0,216,361,1,0)
	anim:SetHotSpot(108,180)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Door_Opened',anim,719,520,61,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Layers/Light_Closed.PNG',0,0,267,436,1,0)
	anim:SetHotSpot(133,218)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Light_Closed',anim,661,393,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Layers/Light_Opened.PNG',0,0,267,436,1,0)
	anim:SetHotSpot(133,218)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Light_Opened',anim,661,393,71,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Layers/Light_from_the_Door.PNG',0,0,336,480,1,0)
	anim:SetHotSpot(168,240)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Light_from_the_Door',anim,797,466,72,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/Sky.JPG',0,0,1024,400,1,0)
	anim:SetHotSpot(512,0)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sky',anim,512,0,41,0,1,1.028)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('area_water',anim,550,346,155,0,70,50)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_grape',anim,905,313,51,0,30,90)
	local anim = CreateAnimation('data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Layers/More.PNG',0,0,107,52,1,0)
	anim:SetHotSpot(53,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('More',anim,191,398,99,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_Theatre_Workshop_Street/Zone_Main/Interactives/kamni.png',0,0,133,118,6,6)
	anim:SetHotSpot(66,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kamni',anim,463,214,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
